## Font Font — Font style information |

## Functions

FontManagerFont * | font_manager_font_new ()

## Properties

gchar * | description | Read / Write
gchar * | family | Read / Write
gchar * | filepath | Read / Write
gint | findex | Read / Write
gint | slant | Read / Write
JsonObject * | source-object | Read / Write
gint | spacing | Read / Write
gchar * | style | Read / Write
gint | weight | Read / Write
gint | width | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_FONT
| FontManagerFont

## Object Hierarchy

        GObject
        ╰── FontManagerJsonProxy
            ╰── FontManagerFont

## Includes

    #include <font-manager-font.h>

## Description

FontManagerFont holds basic style information for a single font.

The JsonObject backing this class should have the following structure:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    {
      "filepath" : string,
      "findex" : int,
      "family" : string,
      "style" : string,
      "spacing" : int,
      "slant" : int,
      "weight" : int,
      "width" : int,
      "description" : string,
    }

## Functions

### font_manager_font_new ()

    FontManagerFont *
    font_manager_font_new (void);

#### Returns

A newly created FontManagerFont. Free the returned object using ``g_object_unref()``.

[transfer full]

## Types and Values

### FONT_MANAGER_TYPE_FONT

    #define FONT_MANAGER_TYPE_FONT (font_manager_font_get_type())

### FontManagerFont

    typedef struct _FontManagerFont FontManagerFont;

## Property Details

### The `“description”` property

      “description”              gchar *

Pango font description.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“family”` property

      “family”                   gchar *

Fontconfig family name.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“filepath”` property

      “filepath”                 gchar *

Font filepath.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“findex”` property

      “findex”                   gint

Font face index.

Owner: FontManagerFont

Flags: Read / Write

Default value: 0

### The `“slant”` property

      “slant”                    gint

Fontconfig slant.

Owner: FontManagerFont

Flags: Read / Write

Default value: 0

### The `“source-object”` property

      “source-object”            JsonObject *

JsonObject source for this class.

Owner: FontManagerFont

Flags: Read / Write

### The `“spacing”` property

      “spacing”                  gint

Fontconfig spacing.

Owner: FontManagerFont

Flags: Read / Write

Default value: 0

### The `“style”` property

      “style”                    gchar *

Fontconfig style name.

Owner: FontManagerFont

Flags: Read / Write

Default value: NULL

### The `“weight”` property

      “weight”                   gint

Fontconfig weight.

Owner: FontManagerFont

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    gint

Fontconfig width.

Owner: FontManagerFont

Flags: Read / Write

Default value: 0

## See Also

FontManagerJsonProxy